This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

APIs

1 - Add Block Storages

1.1 - 1.0

post /v1/instance-groups/{instance_group_id}/block-storage-groups

Description

Add Block Storages.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathinstance_group_id
required
Instance group ID
Example :
stringNone
bodybody
required

AddBlockStoragesRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
500Internal Server ErrorNone

Example HTTP request

Request path

/v1/instance-groups/{instance_group_id}/block-storage-groups

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = postgresql 1.0"

Request body

{
    "role_type": "",
    "size_gb": 104,
    "volume_type": "SSD"
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

2 - Create Cluster

2.1 - 1.0

post /v1/clusters

Description

Create Cluster.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

PostgresqlClusterCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = postgresql 1.0"

Request body

{
    "allowable_ip_addresses": [],
    "dbaas_engine_version_id": "",
    "ha_enabled": false,
    "init_config_option": {
        "audit_enabled": false,
        "backup_option": {
            "archive_frequency_minute": "60",
            "retention_period_day": "7",
            "starting_time_hour": "2"
        },
        "database_encoding": "UTF-8",
        "database_locale": "C",
        "database_name": "",
        "database_port": 2866,
        "database_user_name": "",
        "database_user_password": ""
    },
    "instance_groups": [
        {
            "block_storage_groups": [
                {
                    "role_type": "",
                    "size_gb": 104,
                    "volume_type": "SSD"
                }
            ],
            "instances": [
                {
                    "public_ip_id": "",
                    "role_type": "ACTIVE",
                    "service_ip_address": ""
                }
            ],
            "role_type": "ACTIVE",
            "server_type_name": ""
        }
    ],
    "instance_name_prefix": "",
    "maintenance_option": {
        "period_hour": "",
        "starting_day_of_week": "MON",
        "starting_time": ""
    },
    "name": "",
    "nat_enabled": false,
    "origin_cluster_id": "",
    "subnet_id": "",
    "tags": [],
    "timezone": "",
    "vip_public_ip_id": "",
    "virtual_ip_address": ""
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

3 - Create Other region Replica

3.1 - 1.0

post /v1/clusters/{cluster_id}/replicas/other-region

Description

Create Other region Replica.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone
bodybody
required

ReplicasOtherRegionCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/replicas/other-region

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = postgresql 1.0"

Request body

{
    "allowable_ip_addresses": [
        ""
    ],
    "maintenance_option": {
        "period_hour": "",
        "starting_day_of_week": "MON",
        "starting_time": ""
    },
    "nat_enabled": "",
    "region": "",
    "replica_count": "",
    "replicas": [
        {
            "instance_groups": [
                {
                    "block_storage_groups": [
                        {
                            "role_type": "",
                            "size_gb": 104,
                            "volume_type": "SSD"
                        }
                    ],
                    "instances": [
                        {
                            "public_ip_id": "",
                            "role_type": "ACTIVE",
                            "service_ip_address": ""
                        }
                    ],
                    "role_type": "ACTIVE",
                    "server_type_name": ""
                }
            ],
            "name": ""
        }
    ],
    "subnet_id": "",
    "tags": []
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

4 - Create Replica

4.1 - 1.0

post /v1/clusters/{cluster_id}/replicas

Description

Create Replica.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone
bodybody
required

ReplicasCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/replicas

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = postgresql 1.0"

Request body

{
    "allowable_ip_addresses": [
        ""
    ],
    "maintenance_option": {
        "period_hour": "",
        "starting_day_of_week": "MON",
        "starting_time": ""
    },
    "replica_count": "",
    "replicas": [
        {
            "instance_groups": [
                {
                    "block_storage_groups": [
                        {
                            "role_type": "",
                            "size_gb": 104,
                            "volume_type": "SSD"
                        }
                    ],
                    "instances": [
                        {
                            "public_ip_id": "",
                            "role_type": "ACTIVE",
                            "service_ip_address": ""
                        }
                    ],
                    "role_type": "ACTIVE",
                    "server_type_name": ""
                }
            ],
            "name": ""
        }
    ],
    "tags": []
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

5 - Create Restore Cluster

5.1 - 1.0

post /v1/clusters/{cluster_id}/restore

Description

Create Restore Cluster.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone
bodybody
required

ClusterRestoreRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/restore

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = postgresql 1.0"

Request body

{
    "allowable_ip_addresses": [],
    "backup_history_number": "",
    "backup_recovery_time": "",
    "block_storage_groups": [],
    "instance_name_prefix": "",
    "maintenance_option": {
        "period_hour": "",
        "starting_day_of_week": "MON",
        "starting_time": ""
    },
    "name": "",
    "server_type_name": "",
    "tags": []
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

6 - Delete Archive Log

6.1 - 1.0

delete /v1/clusters/{cluster_id}/archive

Description

Delete Archive Log.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 109a585ae67b4e8482fdafc8a4a5be74
stringNone
querytype
optional
Archive log type
Example : ALL
any of [string, null]ALL

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/archive

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = postgresql 1.0"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

7 - Export Log

7.1 - 1.0

post /v1/clusters/{cluster_id}/log-export-configs/{log_type}/export

Description

Export Log.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 109a585ae67b4e8482fdafc8a4a5be74
stringNone
pathlog_type
required
Log type
Example : alert
any of [enum (alert, audit, slow), null]None

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/log-export-configs/{log_type}/export

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = postgresql 1.0"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

8 - List Backup Histories

8.1 - 1.0

get /v1/clusters/{cluster_id}/backup-histories

Description

List Backup Histories.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone
querylimit
optional
Number of backup lists
Example :
any of [integer, null]None
querypage
optional
Backup list page
Example :
any of [integer, null]None

Responses

HTTP CodeDescriptionSchema
200OKBackupHistoryListApiResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/backup-histories

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = postgresql 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "backup_end_at": "",
            "backup_history_number": "",
            "backup_size_gb": "",
            "backup_start_at": "",
            "backup_state": "",
            "backup_state_detail": "",
            "software_version": ""
        }
    ],
    "total_count": ""
}

9 - List Clusters

9.1 - 1.0

get /v1/clusters

Description

List Clusters.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]name:asc
queryname
optional
Cluster name
Example :
any of [string, null]None
queryservice_state
optional
Service state
Example :
any of [string, null]None
querydatabase_name
optional
Database Name
Example :
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKRdbClusterPageResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = postgresql 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "account_id": "",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "database_name": "",
            "ha_enabled": false,
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "instance_count": 0,
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "",
            "role_type": "ORIGIN",
            "service_state": "RUNNING"
        }
    ],
    "count": 20,
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

10 - List Engine Version Properties

10.1 - 1.0

get /v1/engine-versions/{dbaas_engine_version_id}/properties

Description

List Engine Version Properties.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathdbaas_engine_version_id
required
DBaaS engine version ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKEnginePropertyListResponse
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/engine-versions/{dbaas_engine_version_id}/properties

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = postgresql 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "name": "",
            "value": ""
        }
    ]
}

11 - List Engine Versions

11.1 - 1.0

get /v1/engine-versions

Description

List Engine Versions.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
queryid
optional
DBaaS engine version ID
Example :
any of [string, null]None
queryproduct_image_type
optional
Product image type
Example :
any of [enum (PostgreSQL Community, MariaDB Community, MySQL Community, EPAS, Microsoft SQL Server Enterprise, Microsoft SQL Server Standard, Redis OSS Sentinel, Valkey Sentinel, Kafka, Elasticsearch Enterprise, OpenSearch, Vertica Enterprise, Vertica Community, Scalable DB MariaDB Community), null]None
queryeos_included
optional
EoS included
Example : False
booleanFalse

Responses

HTTP CodeDescriptionSchema
200OKEngineListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/engine-versions

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = postgresql 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "end_of_service": false,
            "id": "",
            "major_version": "",
            "name": "",
            "os_type": "",
            "os_version": "",
            "product_image_type": "",
            "software_version": ""
        }
    ]
}

12 - List Log Export Configs

12.1 - 1.0

get /v1/clusters/{cluster_id}/log-export-configs

Description

List Log Export Configs.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 109a585ae67b4e8482fdafc8a4a5be74
stringNone
querytype
optional
Log type
Example : alert
any of [enum (alert, audit, slow), null]None

Responses

HTTP CodeDescriptionSchema
200OKLogExportConfigListResponse
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/log-export-configs

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = postgresql 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "bucket_name": "examplebucket",
            "delete_on_export": true,
            "is_bucket_deleted": false,
            "is_registered": true,
            "log_label": "DB Alert Log",
            "log_type": "alert",
            "schedule_day_of_month": "28",
            "schedule_day_of_week": "MON",
            "schedule_frequency_type": "DAY",
            "schedule_hour": "12"
        }
    ],
    "count": 1
}

13 - List Parameter Groups

13.1 - 1.0

get /v1/parameter-groups

Description

List Parameter Groups.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
querymajor_version
optional
Software major version
Example :
any of [string, null]None
queryproduct_image_type
optional
Product image type
Example :
any of [string, null]None
querysort
optional
sort
Example : created_at:desc
any of [string, null]name:asc

Responses

HTTP CodeDescriptionSchema
200OKParameterGroupListResponse
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/parameter-groups

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = postgresql 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "id": "",
            "major_version": "",
            "name": "",
            "product_image_type": "",
            "product_type": ""
        }
    ],
    "sort": [
        ""
    ]
}

14 - List Parameter Values

14.1 - 1.0

get /v1/clusters/{cluster_id}/parameters

Description

List Parameter Values.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKParametersResponse
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/parameters

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = postgresql 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "allows_value": "",
            "applied_value": "",
            "apply_type": "",
            "data_type": "",
            "default_value": "",
            "description": "",
            "id": "",
            "is_modifiable": "",
            "name": "",
            "software_type": ""
        }
    ],
    "count": "",
    "modified_at": ""
}

15 - List Parameters

15.1 - 1.0

get /v1/parameters

Description

List Parameters.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]name:asc
querydbaas_parameter_group_id
required
Parameter group ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKParameterPageResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/parameters?dbaas_parameter_group_id={dbaas_parameter_group_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = postgresql 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "dbaas_parameter_group_id": "",
            "default_value": "",
            "description": "",
            "id": "",
            "name": "",
            "software_type": ""
        }
    ],
    "count": 20,
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

16 - List Replicas

16.1 - 1.0

get /v1/clusters/{cluster_id}/replicas

Description

List Replicas.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKReplicasListResponse
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/replicas

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = postgresql 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "name": "",
            "region": "",
            "replica_state": "",
            "replica_state_detail": "",
            "synced_at": ""
        }
    ],
    "count": ""
}

17 - List Server Types

17.1 - 1.0

get /v1/server-types

Description

List Server Types.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
queryname
optional
Server type name
Example :
any of [string, null]None
queryproduct_image_type
optional
Product image type
Example :
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKServerTypeListResponse
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/server-types

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = postgresql 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "cpu_core": "",
            "description": "",
            "memory_gb": "",
            "name": "",
            "product_image_type": "",
            "product_type": "",
            "purpose": "",
            "type": ""
        }
    ]
}

18 - Patch Minor Version

18.1 - 1.0

put /v1/clusters/{cluster_id}/patch

Description

Patch Minor Version.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
DB cluster id
Example :
stringNone
bodybody
required

MinorPatchRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/patch

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = postgresql 1.0"

Request body

{
    "backup_before_upgrade": "",
    "software_version": ""
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

19 - Promote Replica Cluster

19.1 - 1.0

post /v1/clusters/{cluster_id}/promote

Description

Promote Replica Cluster.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/promote

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = postgresql 1.0"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

20 - Register Log Export Config

20.1 - 1.0

post /v1/clusters/{cluster_id}/log-export-configs

Description

Register Log Export Config.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 109a585ae67b4e8482fdafc8a4a5be74
stringNone
bodybody
required

LogExportConfigCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/log-export-configs

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = postgresql 1.0"

Request body

{
    "access_key": "13952a8851244213f2de8d95069bf161",
    "bucket_name": "examplebucket",
    "delete_on_export": true,
    "log_type": "alert",
    "schedule_day_of_month": "28",
    "schedule_day_of_week": "MON",
    "schedule_frequency_type": "DAY",
    "schedule_hour": "12",
    "secret_key": "secretkey"
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

21 - Remove Backup Histories

21.1 - 1.0

put /v1/clusters/{cluster_id}/backup-histories

Description

Remove Backup Histories.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone
bodybody
required

BackupHistoryNumberRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/backup-histories

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = postgresql 1.0"

Request body

{
    "backup_history_number": [
        ""
    ]
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

22 - Reset Replica

22.1 - 1.0

post /v1/clusters/{replica_cluster_id}/reset-replica

Description

Reset Replica.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathreplica_cluster_id
required
Replica cluster id
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{replica_cluster_id}/reset-replica

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = postgresql 1.0"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

23 - Restart Cluster

23.1 - 1.0

post /v1/clusters/{cluster_id}/restart

Description

Restart Cluster.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/restart

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = postgresql 1.0"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

24 - Set Archive Config

24.1 - 1.0

put /v1/clusters/{cluster_id}/archive

Description

Set Archive Config.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 109a585ae67b4e8482fdafc8a4a5be74
stringNone
bodybody
required

ArchiveConfigSetRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/archive

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = postgresql 1.0"

Request body

{
    "archive_enabled": true,
    "retention_period_day": 1
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

25 - Set Audit Log

25.1 - 1.0

put /v1/clusters/{cluster_id}/audit-log

Description

Set Audit Log.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone
bodybody
required

AuditLogRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/audit-log

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = postgresql 1.0"

Request body

{
    "use_audit_log": ""
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

26 - Set Backup

26.1 - 1.0

post /v1/clusters/{cluster_id}/backups

Description

Set Backup.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone
bodybody
required

BackupSettingRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/backups

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = postgresql 1.0"

Request body

{
    "archive_frequency_minute": "",
    "retention_period_day": "",
    "starting_time_hour": ""
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

27 - Set Block Storage Size

27.1 - 1.0

post /v1/block-storage-groups/{block_storage_group_id}/resize

Description

Set Block Storage Size.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathblock_storage_group_id
required
Block storage group ID
Example : afc33891202643ba8ba1a5298a1affff
stringNone
bodybody
required

ResizeBlockStorageGroupRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
500Internal Server ErrorNone

Example HTTP request

Request path

/v1/block-storage-groups/{block_storage_group_id}/resize

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = postgresql 1.0"

Request body

{
    "size_gb": 16
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

28 - Set Log Export Config

28.1 - 1.0

put /v1/clusters/{cluster_id}/log-export-configs/{log_type}

Description

Set Log Export Config.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 109a585ae67b4e8482fdafc8a4a5be74
stringNone
pathlog_type
required
Log type
Example : alert
any of [enum (alert, audit, slow), null]None
bodybody
required

LogExportConfigModifyRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/log-export-configs/{log_type}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = postgresql 1.0"

Request body

{
    "access_key": "13952a8851244213f2de8d95069bf161",
    "delete_on_export": true,
    "schedule_day_of_month": "28",
    "schedule_day_of_week": "MON",
    "schedule_frequency_type": "DAY",
    "schedule_hour": "12",
    "secret_key": "secretkey"
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

29 - Set Maintenance

29.1 - 1.0

post /v1/clusters/{cluster_id}/maintenance

Description

Set Maintenance.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
DB cluster id
Example :
stringNone
bodybody
required

MaintenanceRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/maintenance

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = postgresql 1.0"

Request body

{
    "start_day_of_week": "MON",
    "start_minute": "",
    "start_time": "",
    "term_hour": ""
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

30 - Set Parameter Values

30.1 - 1.0

put /v1/clusters/{cluster_id}/parameters

Description

Set Parameter Values.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone
bodybody
required

ParametersRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/parameters

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = postgresql 1.0"

Request body

{
    "parameters": [
        {
            "id": "",
            "new_value": "",
            "old_value": ""
        }
    ]
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

31 - Set Security Group Rules

31.1 - 1.0

post /v1/clusters/{cluster_id}/security-group-rules

Description

Set Security Group Rules.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone
bodybody
required

UpdateSecurityGroupRulesRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
500Internal Server ErrorNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/security-group-rules

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = postgresql 1.0"

Request body

{
    "add_ip_addresses": [],
    "del_ip_addresses": []
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

32 - Set Server Type

32.1 - 1.0

post /v1/instance-groups/{instance_group_id}/resize

Description

Set Server Type.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathinstance_group_id
required
Instance group ID
Example :
stringNone
bodybody
required

InstanceGroupResizeRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
500Internal Server ErrorNone

Example HTTP request

Request path

/v1/instance-groups/{instance_group_id}/resize

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = postgresql 1.0"

Request body

{
    "server_type_name": ""
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

33 - Show Archive Config

33.1 - 1.0

get /v1/clusters/{cluster_id}/archive

Description

Show Archive Config.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 109a585ae67b4e8482fdafc8a4a5be74
stringNone

Responses

HTTP CodeDescriptionSchema
200OKArchiveConfigDetailResponse
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/archive

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = postgresql 1.0"

Example HTTP response

Response 200

{
    "archive_enabled": true,
    "retention_period_day": 1
}

34 - Show Cluster

34.1 - 1.0

get /v1/clusters/{cluster_id}

Description

Show Cluster.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKPostgresqlClusterDetailResponse
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = postgresql 1.0"

Example HTTP response

Response 200

{
    "account_id": "",
    "allowable_ip_addresses": [],
    "created_at": "2024-05-17T00:23:17Z",
    "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "dbaas_engine": "",
    "dbaas_engine_version_name": "",
    "ha_enabled": false,
    "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
    "init_config_option": {
        "audit_enabled": false,
        "backup_option": {
            "archive_frequency_minute": "60",
            "retention_period_day": "7",
            "starting_time_hour": "2"
        },
        "database_encoding": "UTF-8",
        "database_locale": "C",
        "database_name": "",
        "database_port": 2866,
        "database_user_name": "",
        "origin_region": ""
    },
    "instance_count": 0,
    "instance_groups": [
        {
            "block_storage_groups": [
                {
                    "id": "",
                    "name": "",
                    "role_type": "OS",
                    "size_gb": "",
                    "volume_type": "SSD"
                }
            ],
            "id": "",
            "instances": [
                {
                    "name": "",
                    "public_ip_address": "",
                    "public_ip_id": "",
                    "role_type": "",
                    "service_ip_address": "",
                    "service_state": "RUNNING"
                }
            ],
            "role_type": "",
            "server_type_name": ""
        }
    ],
    "maintenance_option": {
        "period_hour": "",
        "starting_day_of_week": "MON",
        "starting_time": "",
        "use_maintenance_option": false
    },
    "modified_at": "2024-05-17T00:23:17Z",
    "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "name": "",
    "nat_enabled": false,
    "origin_cluster_id": "",
    "product_image_type": "",
    "product_type": "",
    "replicas": [
        ""
    ],
    "role_type": "ORIGIN",
    "service_state": "RUNNING",
    "software_version": "",
    "subnet_id": "",
    "timezone": "",
    "vip_public_ip_address": "",
    "vip_public_ip_id": "",
    "virtual_ip_address": ""
}

35 - Show Request

35.1 - 1.0

get /v1/requests/{request_id}

Description

Show Request.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathrequest_id
required
Request ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKRequestStateResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/requests/{request_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = postgresql 1.0"

Example HTTP response

Response 200

{
    "request_id": "",
    "state": ""
}

36 - Start Cluster

36.1 - 1.0

post /v1/clusters/{cluster_id}/start

Description

Start Cluster.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/start

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = postgresql 1.0"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

37 - Stop Cluster

37.1 - 1.0

post /v1/clusters/{cluster_id}/stop

Description

Stop Cluster.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/stop

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = postgresql 1.0"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

38 - Switchover Cluster

38.1 - 1.0

post /v1/clusters/{cluster_id}/switchover

Description

Switchover Cluster.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/switchover

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = postgresql 1.0"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

39 - Synchronize Archive Config

39.1 - 1.0

post /v1/clusters/{cluster_id}/archive/sync

Description

Synchronize Archive Config.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 109a585ae67b4e8482fdafc8a4a5be74
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/archive/sync

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = postgresql 1.0"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

40 - Synchronize Cluster State

40.1 - 1.0

post /v1/clusters/{cluster_id}/sync-state

Description

Synchronize Cluster State.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
500Internal Server ErrorNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/sync-state

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = postgresql 1.0"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

41 - Synchronize Parameter Values

41.1 - 1.0

post /v1/clusters/{cluster_id}/parameters/sync

Description

Synchronize Parameter Values.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/parameters/sync

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = postgresql 1.0"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

42 - Synchronize Replica State

42.1 - 1.0

post /v1/clusters/{origin_cluster_id}/sync-replica-state

Description

Synchronize Replica State.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathorigin_cluster_id
required
Origin cluster ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{origin_cluster_id}/sync-replica-state

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = postgresql 1.0"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

43 - Terminate Cluster

43.1 - 1.0

delete /v1/clusters/{cluster_id}

Description

Terminate Cluster.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = postgresql 1.0"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

44 - Unregister Log Export Config

44.1 - 1.0

delete /v1/clusters/{cluster_id}/log-export-configs/{log_type}

Description

Unregister Log Export Config.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 109a585ae67b4e8482fdafc8a4a5be74
stringNone
pathlog_type
required
Log type
Example : alert
any of [enum (alert, audit, slow), null]None

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/log-export-configs/{log_type}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = postgresql 1.0"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

45 - Unset Backup

45.1 - 1.0

delete /v1/clusters/{cluster_id}/backups

Description

Unset Backup.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/backups

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = postgresql 1.0"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

46 - Unset Maintenance

46.1 - 1.0

delete /v1/clusters/{cluster_id}/maintenance

Description

Unset Maintenance.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
DB cluster id
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/maintenance

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = postgresql 1.0"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}